Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886247 - Pods are illegally transitioning back to pending
Summary: Pods are illegally transitioning back to pending
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Seth Jennings
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1884035 1891539
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 03:27 UTC by OpenShift BugZilla Robot
Modified: 2020-10-27 16:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:47:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 400 0 None closed [release-4.6] bug 1886247: set lastterminationstate for container status even when CRI fails to return termination (or a... 2021-02-17 09:27:55 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:48:13 UTC

Comment 2 MinLi 2020-10-13 03:06:45 UTC
We can see there are still many failed case "pods should never transition back to pending" for 4.6 from this link: https://search.ci.openshift.org/?search=pod+should+not+transition+Running-%3EPending+even+when+terminated&maxAge=48h&context=1&type=build-log&name=4.6&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 3 Seth Jennings 2020-10-13 03:11:55 UTC
They all appear to be upgrade jobs and older versions (4.5.z and prior 4.6.z) will not have the fix before the upgrade.

Comment 8 errata-xmlrpc 2020-10-27 16:47:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.